package cn.iocoder.yudao.module.attendance.enums;


import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/**
 * Attendance 错误码枚举类
 *
 * attendance 系统，使用 1-013-000-000 段
 */
public interface ErrorCodeConstants {

    // ========== 员工考勤模块 1-013-000-000 ==========
    ErrorCode ATTENDANCE_SCHEDULING_MANAGE_NOT_EXISTS = new ErrorCode(1_013_000_000, "考勤排班管理不存在");
    ErrorCode ATTENDANCE_INFO_NOT_EXISTS = new ErrorCode(1_013_000_001, "考勤信息不存在");
    ErrorCode ATTENDANCE_EMPLOYEE_SETTING_NOT_EXISTS = new ErrorCode(1_013_000_002, "考勤员工设置不存在");
    ErrorCode ATTENDANCE_INFO_IMPORT_LIST_IS_EMPTY = new ErrorCode(1_013_000_003, "导入考勤信息数据不能为空！");
    ErrorCode ATTENDANCE_LEAVE_NOT_EXISTS = new ErrorCode(1_013_000_004, "请假信息不存在");
    ErrorCode ATTENDANCE_BUSINESS_NOT_EXISTS = new ErrorCode(1_013_000_005, "出差信息不存在");
    ErrorCode ATTENDANCE_OUT_NOT_EXISTS = new ErrorCode(1_013_000_006, "公务外出信息不存在");
    ErrorCode ATTENDANCE_WORKDAY_SETTING_NOT_EXISTS = new ErrorCode(1_013_000_007, "考勤工作日设置不存在");
    ErrorCode ATTENDANCE_EMAINING_ANNUAL_LEAVE_IS_INSUFFICIENT = new ErrorCode(1_013_000_008, "剩余年假不足");
    ErrorCode ATTENDANCE_UPDATING_EMPLOYEE_INFO_ERROR = new ErrorCode(1_013_000_009, "考勤更新员工信息时发生错误");
}
